import Foundation

struct Post_Reaction_Model : Codable {
    
	let id : String?
	let name : String?
	let wowonder_icon : String?
	let sunshine_icon : String?
	let status : String?
	let wowonder_small_icon : String?
	let is_html : Int?

	enum CodingKeys: String, CodingKey {
		case id = "id"
		case name = "name"
		case wowonder_icon = "wowonder_icon"
		case sunshine_icon = "sunshine_icon"
		case status = "status"
		case wowonder_small_icon = "wowonder_small_icon"
		case is_html = "is_html"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		id = try values.decodeIfPresent(String.self, forKey: .id)
		name = try values.decodeIfPresent(String.self, forKey: .name)
		wowonder_icon = try values.decodeIfPresent(String.self, forKey: .wowonder_icon)
		sunshine_icon = try values.decodeIfPresent(String.self, forKey: .sunshine_icon)
		status = try values.decodeIfPresent(String.self, forKey: .status)
		wowonder_small_icon = try values.decodeIfPresent(String.self, forKey: .wowonder_small_icon)
		is_html = try values.decodeIfPresent(Int.self, forKey: .is_html)
	}

}
